version: '3'
services:

  #PHP Service
  local82_php:
    build:
      context: .
      dockerfile: .docker/php/Dockerfile
    container_name: local82_php
    restart: "no"
    tty: true
    working_dir: /var/www/app
    environment:
      PHP_IDE_CONFIG: "serverName=Docker"
    volumes:
      - ./:/var/www
      - ./.docker/php/php.ini:/usr/local/etc/php/conf.d/local.ini
      - ./.docker/php/xdebug.ini:/usr/local/etc/php/conf.d/xdebug.ini
    networks:
      - local82-network

  #Nginx Service
  local82_nginx:
    image: nginx:alpine
    container_name: local82_nginx
    restart: "no"
    tty: true
    ports:
      - 127.0.0.1:80:80
      - 127.0.0.1:443:443
    volumes:
      - ./:/var/www
      - ./.docker/nginx/conf.d/:/etc/nginx/conf.d/
    networks:
      - local82-network


  #MySQL Service
  local82_mysql:
    image: mysql:latest
    container_name: local82_mysql
    restart: "no"
    tty: true
    ports:
      - "23306:3306"
    environment:
      MYSQL_DATABASE: db82
      MYSQL_ROOT_PASSWORD: your_mysql_root_password
      SERVICE_TAGS: dev
      SERVICE_NAME: mysql
    volumes:
      - dbdata:/var/lib/mysql/
      - ./.docker/mysql/my.cnf:/etc/mysql/my.cnf
    networks:
      - local82-network

  #postgres Service
#  local82_postgres:
#    container_name: local82_postgres
#    build:
#      context: ./.docker/postgres
#    ports:
#        - "5432:5432"
#    environment:
#        POSTGRES_DB: db82
#        POSTGRES_USER: db82
#        POSTGRES_PASSWORD: db82
#    volumes:
#      - pg_data:/var/lib/postgresql/data
#    networks:
#      - local82-network

#  local82_redis:
#    container_name: local82_redis
#    image: redis:latest
#    networks:
#      - local82-network
#    volumes:
#      - redis_data:/data
#    ports:
#      - 26379:6379
#    healthcheck:
#      test: [ "CMD", "bash", "-c", "exec 3<> /dev/tcp/127.0.0.1/6379 && echo PING >&3 && head -1 <&3 | grep PONG" ]
#      interval: 5s
#      timeout: 10s
#      retries: 5

#Docker Networks
networks:
  local82-network:
    driver: bridge

#Volumes
volumes:
  redis_data:
  pg_data:
  dbdata:
    driver: local
